using System;
using System.Collections.Generic;
using System.Linq;
using SqlSugar;
namespace WebFirst.Entities
{
    /// <summary>
    /// 
    ///</summary>
    [SugarTable("HT_Api_SystemApi1")]
    public class HTApiBase
    {
        /// <summary>
        /// 变量ID 
        ///</summary>
         [SugarColumn(ColumnName="TagID" ,IsPrimaryKey = true   )]
         public int TagID { get; set; }
        /// <summary>
        /// 变量名称 
        ///</summary>
         [SugarColumn(ColumnName="TagName"    )]
         public string TagName { get; set; }
        /// <summary>
        /// 注释 
        ///</summary>
         [SugarColumn(ColumnName="Description"    )]
         public string Description { get; set; }
        /// <summary>
        /// 数据类型 
        ///</summary>
         [SugarColumn(ColumnName="DataType"    )]
         public byte? DataType { get; set; }
        /// <summary>
        /// GroupID 
        ///</summary>
         [SugarColumn(ColumnName="GroupID"    )]
         public int? GroupID { get; set; }
        /// <summary>
        /// SystemID 
        ///</summary>
         [SugarColumn(ColumnName="SystemID"    )]
         public int? SystemID { get; set; }
    }
}
